Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.model.integrationtest
Class ChildrenDescriptorExtension_PTest

    java.lang.Object
      org.eclipse.emf.ecp.view.model.integrationtest.ChildrenDescriptorExtension_PTest

    public class ChildrenDescriptorExtension_PTest

extends Object

Constructor Summary
`ChildrenDescriptorExtension_PTest()`

Method Summary
`void` | `testAbstractCategorizationChildDescriptors()` Class is abstract, Exception expected
`void` | `testActionDescriptors()`
`void` | `testAndConditionChildDescriptors()`
`void` | `testCategorizationChildDescriptors()`
`void` | `testCategoryChildDescriptors()`
`void` | `testCompositeChildDescriptors()` Class is abstract, Exception expected
`void` | `testCompositeCollectionDescriptors()` Class is abstract, Exception expected
`void` | `testCompoundControlDescriptors()`
`void` | `testConditionChildDescriptors()` Class is abstract, Exception expected
`void` | `testControlChildDescriptors()`
`void` | `testCustomControlDescriptors()`
`void` | `testEnableRuleChildDescriptors()`
`void` | `testGridedGroupChildDescriptors()`
`void` | `testGridedGroupRowChildDescriptors()`
`void` | `testGridedSpanChildDescriptors()`
`void` | `testGroupDescriptors()`
`void` | `testGroupedGridChildDescriptors()`
`void` | `testHorizontalDescriptors()`
`void` | `testLabelDescriptors()`
`void` | `testLeafConditionChildDescriptors()`
`void` | `testOrConditionChildDescriptors()`
`void` | `testRenderableDescriptors()` Class is abstract, Exception expected
`void` | `testRuleChildDescriptors()` Class is abstract, Exception expected
`void` | `testSectionAreaDescriptors()`
`void` | `testSectionDescriptors()`
`void` | `testShowRuleChildDescriptors()`
`void` | `testStackItemDescriptors()`
`void` | `testStackLayoutDescriptors()`
`void` | `testTableControlChildDescriptors()`
`void` | `testTreeMasterDetailDescriptors()`
`void` | `testVerticalDescriptors()`
`void` | `testViewChildDescriptors()`
`void` | `testViewProxyDescriptors()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ChildrenDescriptorExtension_PTest

    public ChildrenDescriptorExtension_PTest()

Method Detail

### testGroupedGridChildDescriptors

    public void testGroupedGridChildDescriptors()

### testGridedGroupChildDescriptors

    public void testGridedGroupChildDescriptors()

### testGridedGroupRowChildDescriptors

    public void testGridedGroupRowChildDescriptors()

### testGridedSpanChildDescriptors

    public void testGridedSpanChildDescriptors()

### testViewChildDescriptors

    public void testViewChildDescriptors()

### testAbstractCategorizationChildDescriptors

    public void testAbstractCategorizationChildDescriptors()

  Class is abstract, Exception expected

### testRuleChildDescriptors

    public void testRuleChildDescriptors()

  Class is abstract, Exception expected

### testShowRuleChildDescriptors

    public void testShowRuleChildDescriptors()

### testEnableRuleChildDescriptors

    public void testEnableRuleChildDescriptors()

### testConditionChildDescriptors

    public void testConditionChildDescriptors()

  Class is abstract, Exception expected

### testLeafConditionChildDescriptors

    public void testLeafConditionChildDescriptors()

### testOrConditionChildDescriptors

    public void testOrConditionChildDescriptors()

### testAndConditionChildDescriptors

    public void testAndConditionChildDescriptors()

### testCategorizationChildDescriptors

    public void testCategorizationChildDescriptors()

### testCategoryChildDescriptors

    public void testCategoryChildDescriptors()

### testCompositeChildDescriptors

    public void testCompositeChildDescriptors()

  Class is abstract, Exception expected

### testControlChildDescriptors

    public void testControlChildDescriptors()

### testTableControlChildDescriptors

    public void testTableControlChildDescriptors()

### testCompositeCollectionDescriptors

    public void testCompositeCollectionDescriptors()

  Class is abstract, Exception expected

### testGroupDescriptors

    public void testGroupDescriptors()

### testHorizontalDescriptors

    public void testHorizontalDescriptors()

### testVerticalDescriptors

    public void testVerticalDescriptors()

### testLabelDescriptors

    public void testLabelDescriptors()

### testCustomControlDescriptors

    public void testCustomControlDescriptors()

### testSectionDescriptors

    public void testSectionDescriptors()

### testSectionAreaDescriptors

    public void testSectionAreaDescriptors()

### testStackItemDescriptors

    public void testStackItemDescriptors()

### testStackLayoutDescriptors

    public void testStackLayoutDescriptors()

### testViewProxyDescriptors

    public void testViewProxyDescriptors()

### testCompoundControlDescriptors

    public void testCompoundControlDescriptors()

### testTreeMasterDetailDescriptors

    public void testTreeMasterDetailDescriptors()

### testRenderableDescriptors

    public void testRenderableDescriptors()

  Class is abstract, Exception expected

### testActionDescriptors

    public void testActionDescriptors()

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.